package com.neusoft.smart.pos.constants;

/**
 * @author yuan-p@neusoft.com
 * @date 2020-06-12 13:50
 * @description
 */
public enum EntityTableConstant {

    ENTITY_TABLE("ENTITY_TABLE","数据库表名"),
    ENTITY_TABLE_SHOP("shop","商户表"),
    ENTITY_TABLE_ORG("org","集团表"),
    ;

    private String code;
    private String value;

    EntityTableConstant(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public String getCode() {
        return code;
    }

    public String getValue() {
        return value;
    }

    public static EntityTableConstant getEnumByCode(String enumName,String code){
        for(EntityTableConstant dictEnum : EntityTableConstant.values()){
            if(dictEnum.name().startsWith(enumName) && code.equals(dictEnum.getCode())){
                return dictEnum;
            }
        }
        return null;
    }

}
